Bug 120373 - tetex format files end up being labeled rpm_script_tmp_t
Summary: tetex format files end up being labeled rpm_script_tmp_t
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords: SELinux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-08 04:59 UTC by Aleksey Nogin
Modified: 2015-03-31 20:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-21 08:25:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2004-04-08 04:59:39 UTC
I am not sure whether this would cause any problems or not, but the
way tetex %post scripts compile the TeX format files, those files end
up getting labeled rpm_script_tmp_t by SELinux. Here are the relevant
lines from "fixfiles check" output:

/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/mf.log from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/mf.base from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/amstex.fmt from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/bamstex.fmt
from aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/bplain.fmt from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/etex.efmt from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/amstex.log from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/etex.log from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/mpost.mem from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/bamstex.log
from aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/pdfetex.efmt
from aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/pdftex.fmt from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/tex.fmt from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/bplain.log from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/mpost.log from
aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/jadetex.log
from aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t
/usr/sbin/setfiles:  relabeling /usr/share/texmf/web2c/pdfjadetex.log
from aleksey:object_r:rpm_script_tmp_t to system_u:object_r:usr_t

Comment 1 Daniel Walsh 2004-12-02 14:22:19 UTC
tetex-2.0.2-25.src.rpm fixes this problem

Comment 2 Jindrich Novy 2005-02-21 08:25:47 UTC
If it's still a problem with tetex-3.0 please file another bug.

thanks,
Jindrich

Comment 3 Fedora Update System 2015-03-31 20:41:17 UTC
xen-4.4.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xen-4.4.2-2.fc21


Note You need to log in before you can comment on or make changes to this bug.